Skip to Content

Engagement

GET /api/analytics/engagement

Curva de retención por segundo para un contenido.

Requiere analytics.read. Consulta Resumen para los parámetros compartidos y el alcance de categorías.

Parámetros

ParámetroObligatorioDescripción
contentIdID de vídeo o de evento en vivo
contentTypeNovod (predeterminado) o live
from, toNoRango ISO 8601
maxSecondsNoLimitar la longitud de la curva de retención

Solicitud

curl -X GET "https://app.ignitevideo.cloud/api/analytics/engagement?contentId=VIDEO_ID&contentType=vod" \ -H "Authorization: Bearer YOUR_API_KEY"

Respuesta

{ "contentType": "vod" | "live", "contentId": string, "from": string, "to": string, "totalSessions": number, "retention": [ { "second": number, "watched": number, "reached": number, "watchedRatio": number, "reachedRatio": number }, [...] ] }